Tokaify APITokaify API
API Reference
AI Model APIVideoDoubao APIdoubao-seedance-2-0-260128

Remix Existing Video

doubao-seedance-2-0-260128 Remix Existing Video API

Creates a remix task for this model based on an existing task ID (video_id(task_*****)).

POST
/v1/videos/{video_id}/remix

Authorization

BearerAuth

AuthorizationBearer <token>

Model relay interface recognition. Request heading: Autoration: Bearer .

In: header

Path Parameters

video_id*string

video_id (task_*****), please fill in the original id that can be mixed.

Request Body

application/json

prompt?string

Repeats the hint. A hint. Range: 1 to 200000 characters, with a specific upper limit based on the model official interface.

model?string

Remix model.

Default"doubao-seedance-2-0-260128"
seconds?string

Target duration. compatible long field, in seconds; metadata.duration is overridden when you exist. Range: positive integer string.

Response Body

application/json

curl -X POST "https://api.tokaify.com/v1/videos/task_fRrLLwemp9RBrcfaWq1reWIIVpPZmzEA/remix" \  -H "Content-Type: application/json" \  -d '{    "prompt": "Regenerated",    "model": "doubao-seedance-2-0-260128",    "seconds": "5"  }'
{
  "id": "task_01JZ8M9Q4R7V2K8N9P0Q",
  "task_id": "task_01JZ8M9Q4R7V2K8N9P0Q",
  "status": "succeeded",
  "progress": 100,
  "model": "doubao-seedance-2-0-260128",
  "created_at": 1715673600,
  "error": null,
  "output": [],
  "data": {}
}

How is this guide?

Last updated on